# $Revision: 1.37 $, $Date: 2008/06/25 12:40:27 $
# TODO
# - maybe related:
#  - http://pecl.php.net/bugs/bug.php?id=7141
#  - http://pecl.php.net/bugs/bug.php?id=7762
%define		_modname	APC
%define		_status		stable
Summary:	%{_modname} - Alternative PHP Cache
Summary(pl.UTF-8):	%{_modname} - alternatywne cache PHP
Name:		php-pecl-%{_modname}
Version:	3.0.19
Release:	2
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	951f43d2873e3572f5d5ae71a9b66f90
URL:		http://pecl.php.net/package/APC/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
APC is the Alternative PHP Cache. It was conceived of to provide a
free, open, and robust framework for caching and optimizing PHP
intermediate code.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
APC to alternatywne cache PHP. W wyobrażeniach miało dostarczać
wolnodostępny, otwarty i potężny szkielet do buforowania i
optymalizowania kodu pośredniego PHP.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

cat <<'EOF' > %{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
apc.enabled=1
;apc.optimization=0
;apc.shm_segments=1
;apc.shm_size=32
;apc.cache_by_default=1
;apc.max_file_size=1M
;apc.num_files_hint=1024
;apc.gc_ttl=3600
;apc.ttl=0
;apc.mmap_file_mask=/tmp/apc.XXXXXX
;apc.filters=
;apc.stat=1
;apc.enable_cli=0
EOF


%build
cd %{_modname}-%{version}
phpize
%configure \
	--%{!?debug:dis}%{?debug:en}able-debug \
	--enable-apc-mmap
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -D %{_modname}-%{version}/modules/apc.so $RPM_BUILD_ROOT%{php_extensiondir}/%{_modname}.so

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

cp -a %{_modname}.ini $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CHANGELOG,INSTALL,NOTICE}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-APC.spec,v $
Revision 1.37  2008/06/25 12:40:27  arekm
- rel 2; common config for all SAPIs (no longer requires all sapis to be installed (due to directory deps))

Revision 1.36  2008-05-17 19:53:36  adamg
- updated to 3.0.19

Revision 1.35  2008-04-16 18:54:17  dzeus
- up to 3.0.18 - CVE-2008-1488

Revision 1.34  2007-12-26 23:47:33  adamg
- updated to 3.0.16

Revision 1.33  2007/11/05 11:44:43  adamg
- updated to 3.0.15

Revision 1.32  2007/06/08 10:08:23  glen
- skip install global .ini; rel 2

Revision 1.31  2007/05/07 20:08:24  arekm
- up to 3.0.14

Revision 1.30  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.28  2006/12/14 23:29:01  glen
- use package name

Revision 1.27  2006/12/14 23:24:49  glen
- fix for initially undefined macro

Revision 1.26  2006/12/14 23:23:28  glen
- use new php extension related macros

Revision 1.25  2006/12/13 22:10:02  glen
- fix apache1 ini

Revision 1.24  2006/12/13 14:15:41  glen
- restore config for apache1 (read the comment)

Revision 1.23  2006/12/13 13:45:55  zergin
- up to 3.0.12p2 (works with PHP5.2, serveral crash fixes, etc)
- changed config dir of apache module to php/conf.d (no longer requires
  apache1 though i'm not shure about this change)

Revision 1.22  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.21  2006/09/05 20:34:33  glen
- install APC all SAPI-s but CLI, CGI; rel 2

Revision 1.20  2006/09/04 21:30:14  glen
- 3.0.11

Revision 1.19  2006/09/04 19:28:53  glen
- TODO: CLI segfaults

Revision 1.18  2006/08/31 16:43:25  glen
- more config options

Revision 1.17  2006/08/02 14:09:45  blues
- 3.0.10 - some config options added

Revision 1.16  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.15  2005/10/30 13:29:27  glen
- rel 4

Revision 1.14  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.13  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.12  2005/09/13 21:13:03  glen
- use new php/zend api macros

Revision 1.11  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.10  2005/09/11 23:53:22  glen
- full conf.d support and unifications

Revision 1.9  2005/08/25 08:05:42  adamg
- updated to 3.0.8

Revision 1.8  2005/08/21 18:54:41  adamg
- updated to 3.0.7

Revision 1.7  2005/07/31 08:00:29  adamg
- updated to 3.0.6

Revision 1.6  2005/07/27 11:08:19  adamg
- updated to 3.0.4

Revision 1.5  2004/07/11 11:13:41  adamg
- updated to 2.0.4

Revision 1.4  2004/05/30 15:58:24  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.3  2004/03/25 20:52:02  adamg
- updated to 2.0.3

Revision 1.2  2004/03/16 22:45:25  qboosh
- pl

Revision 1.1  2004/03/15 17:07:28  adamg
- initial import
